﻿using System;
using System.Drawing;
using System.Windows.Forms;
using System.ComponentModel;

namespace Builder
{
    public class MyData : TextBox
    {
        private MyNode node;
        public MyData (MyNode n) { node = n; }

        [Bindable(true)]
        override public string Text
        {
            // get => node.Text;
            set =>
                node.Text = value;
        }
        [Bindable (true)]
        public Color MyColor
        {
            get => 
                node.BackColor;
            set => 
                node.BackColor = value;
        }
    }
}
